--- title: "exportBackupToObjectStorage" slug: "database-vmysql-exportbackuptoobjectstorage" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/database-vmysql-exportbackuptoobjectstorage" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # exportBackupToObjectStorage Available in VPC Send Cloud DB for MySQL instance backup files to Object Storage. To send backup files to Object Storage, Object Storage buckets for storing and searching backup files must be created in advance. For more information, see the [Object Storage Guide](https://guide.ncloud-docs.com/docs/en/storage-storage-6-1). ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vmysql/v2/exportBackupToObjectStorage | ### Request headers For headers common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) request headers](/docs/en/database-vmysql#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code - Region code of the Cloud DB for MySQL instance whose backup file you want to send to Object Storage - Check through [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) - First Region of the `getRegionList` query result (default) | | `fileName` | String | Required | Backup fie name - Check through [getCloudMysqlBackupDetailList](/docs/en/database-vmysql-getcloudmysqlbackupdetaillist) | | `bucketName` | String | Required | Name of the Object Storage bucket the backup file will be sent to - Check through [ListBuckets](/docs/en/storage-objectstorage-listbuckets) | | `folderPath` | String | Optional | Folder path where backup files will be sent | | `cloudMysqlInstanceNo` | String | Required | Instance number of Cloud DB for MySQL - Check through [getCloudMysqlInstanceList](/docs/en/database-vmysql-getcloudmysqlinstancelist) | | `responseFormatType` | String | Optional | Format of the response result - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location --request GET 'https://ncloud.apigw.ntruss.com/vmysql/v2/exportBackupToObjectStorage ?regionCode=KR &fileName=20210528 &bucketName=mysql-backup &folderPath=cloud-db-for-mysql/ &cloudMysqlInstanceNo=****890' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response status codes For information about the HTTP status codes common to all Cloud DB for MySQL (VPC) APIs, see [Cloud DB for MySQL (VPC) response status codes](/docs/en/database-vmysql#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. - If `responseFormatType=json` ``` { "exportBackupToObjectStorageResponse": { "requestId": "f601a8b4-****-****-****-1451ecb1fd6b", "returnCode": "0", "returnMessage": "success" } } ``` - If `responseFormatType=xml` (default) ``` f601a8b4-****-****-****-1451ecb1fd6b 0 success ```